/*
	Zadatak najlakse resavamo, tako sto ucitavamo redom karaktere iz ulaznog fajla i odmah ih procesiramo.
	Ako naidjemo na karakter koji je razlicit od X, O ili B, prekidamo izvrsavanje i stampamo resenje. 
	U promenljivoj money cuvamo trenutnu zaradu igraca. Nju azuriramo samo kada neko kaze banka i dodajemo
	1 + 2 + 4 + ... + 2^n = 2^(n + 1) - 1 dinara, gde je n duzina lanca tacnih odgovora. Ukoliko je duzina
	trenutnog lanca 15, tada postavljamo osvojenu sumu novca na 1.000.000.000 i izlazimo iz while petlje. 
*/

#include <stdio.h>
long money, n;
char c;

int main ()
{
	FILE *in = fopen ("karika.in", "r");
	money = 0;
	n = 0;
	while (true) 
	{
		c = fgetc (in);
		if (n == 15)
		{
			money = 1000000000;
			break;
		}
		if (c == 'X')
			n = 0;
		else if (c == 'O')
			n++;
		else if (c == 'B')
		{
			money += (1 << n) - 1;
			n = 0;
		}
		else
			break;
	}
	fclose (in);
	FILE *out = fopen ("karika.out", "w");
	fprintf (out, "%ld\n", money);
	fclose (out);
	return 0;
}
