type
	krtica = record
    x: Real;
    v: Real;
    hit: Real;
    pos: LongInt;
  end;
const
	MaxN = 5005;
var
	a, b: array [1.. MaxN] of krtica;
  n, m: LongInt;
  f, g: Text;

  procedure InPut;
  var
  	i: LongInt;
  begin
  	Assign (f, 'krtice.in');
    Reset (f);
    ReadLn (f, n, m);
    for i := 1 to n do begin
    	ReadLn (f, a [i].x, a [i].v);
      a [i].hit := -1;
      a [i].pos := i;
    end;
    for i := 1 to m do begin
	    ReadLn (f, b [i].x, b [i].v);
      b [i].hit := -1;
      b [i].pos := i;
    end;
  	Close (f);
  end;

  procedure QSortA (l, r: LongInt);
  var
  	i, j, pos: LongInt;
    pivot, tmp: Real;
  begin
    if (l < r) then begin
    	pivot := a [(l + r) DIV 2].x;
      i := l;
      j := r;
      repeat
      	while (a [i].x < pivot) do Inc(i);
        while (a [j].x > pivot) do Dec(j);
        if (i <= j) then begin
        	tmp := a [i].x; a [i].x := a [j].x; a [j].x := tmp;
          tmp := a [i].v; a [i].v := a [j].v; a [j].v := tmp;
          pos := a [i].pos; a [i].pos := a [j].pos; a [j].pos := pos;
          Inc (i); Dec (j);
        end;
      until (i >= j);
      QSortA (i, r);
      QSortA (l, j);
    end;
  end;

  procedure QSortB (l, r: LongInt);
  var
  	i, j, pos: LongInt;
    pivot, tmp: Real;
  begin
    if (l < r) then begin
    	pivot := b [(l + r) DIV 2].x;
      i := l;
      j := r;
      repeat
      	while (b [i].x < pivot) do Inc(i);
        while (b [j].x > pivot) do Dec(j);
        if (i <= j) then begin
        	tmp := b [i].x; b [i].x := b [j].x; b [j].x := tmp;
          tmp := b [i].v; b [i].v := b [j].v; b [j].v := tmp;
          pos := b [i].pos; b [i].pos := b [j].pos; b [j].pos := pos;
          Inc (i); Dec (j);
        end;
      until (i >= j);
      QSortB (i, r);
      QSortB (l, j);
    end;
  end;

  procedure Solve;
	var
  	i, k: LongInt;
    ta, tb: Real;
  begin
  	QSortA (1, n);
    QSortB (1, m);
    k := 1;
    for i := 1 to n do begin
      if (k > m) then
      	a [i].hit := -1
      else begin
      	ta := b [k].x / a [i].v;
        tb := a [i].x / b [k].v;
        while (k <= m) and (ta < tb) do begin
        	b [k].hit := tb;
        	Inc (k);
	      	if (k <= m) then begin
          	ta := b [k].x / a [i].v;
  	      	tb := a [i].x / b [k].v;
          end;
        end;
        if (k > m) then
        	a [i].hit := -1
        else
        	a [i].hit := ta;	
     	end;
    end;
  end;

  procedure OutPut;
  var
  	i, j: LongInt;
  begin
    Assign (g, 'krtice.out');
    ReWrite (g);

    for i := 1 to n do begin
    	j := 1;
      while (a [j].pos <> i) do
      	Inc (j);
      WriteLn (g, a [j].hit:0:2);
    end;

    for i := 1 to m do begin
    	j := 1;
      while (b [j].pos <> i) do
      	Inc (j);
      WriteLn (g, b [j].hit:0:2);
    end;

    Close (g);
  end;

begin
	InPut;
  Solve;
  OutPut;
end.
